javax.annotation.security

## Annotation Type RolesAllowed

-     @Documented
       @Target(value={TYPE,METHOD})
       @Retention(value=RUNTIME)
      public @interface RolesAllowed

  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String[]` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.String[] value

      Returns:
        a String[] of the allowed roles

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.